| IOLink Python 1.11.0

Loading...
Searching...
No Matches
Public Member Functions | Properties | List of all members
iolink.iolink.Uri Class Reference
Inheritance diagram for iolink.iolink.Uri:

## Public Member Functions
| __init__ (self, *args)
| scheme (self)
| authority (self)
| host (self)
| port (self)
| user_info (self)
| path (self)
| query (self)
| path_and_query (self)
| to_string (self)
| __repr__ (self)

## Properties
| thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")

## Detailed Description

    Class modeling universal resource identifier

## Constructor & Destructor Documentation

## ◆ __init__()

iolink.iolink.Uri.__init__ | ( |  | self,
|  | * | args
| ) |  |

        *Overload 1:*

        Parses string and sets uri fields

        |

        *Overload 2:*

        Asssignment Operator and Copy Constructor

## Member Function Documentation

## ◆ authority()

iolink.iolink.Uri.authority | ( |  | self | ) |

    Returns the authority part (userInfo, host and port) of the URI.

## ◆ host()

iolink.iolink.Uri.host | ( |  | self | ) |

    Returns the host part of the URI.

## ◆ path()

iolink.iolink.Uri.path | ( |  | self | ) |

    Returns the decoded path part of the URI.

## ◆ path_and_query()

iolink.iolink.Uri.path_and_query | ( |  | self | ) |

    Returns the encoded path and query parts of the URI.

## ◆ port()

iolink.iolink.Uri.port | ( |  | self | ) |

    Returns the port number part of the URI.

## ◆ query()

iolink.iolink.Uri.query | ( |  | self | ) |

    Returns the decoded query part of the URI.

## ◆ scheme()

iolink.iolink.Uri.scheme | ( |  | self | ) |

    Scheme or protocol e.g. http, https, ftp

## ◆ to_string()

iolink.iolink.Uri.to_string | ( |  | self | ) |

    Returns a string representation of the URI.

## ◆ user_info()

iolink.iolink.Uri.user_info | ( |  | self | ) |

    Returns the user-info part of the URI.

The documentation for this class was generated from the following file:

- Release/python/iolink/iolink.py